Subject: Re: [I2nsf] draft-zhang-gap-analysis

From: Robert Moskowitz <[email-masked]>
Date: Wed, 18 Mar 2015 16:26:13 -0400

Greetings other on this list.  In case you have not heard, I am no 
longer employed by Verizon.

I have a contract with Huawei to work on i2nsf.  My initial focus will 
be on the gap analysis.  I will work with the authors and others to 
address these and other items to get this draft to the level the 
workgroup needs.

We don't have much time left this week.  I am putting together my first 
set of notes.  I look forward to seeing you all next week at IETF.

On 02/12/2015 01:15 PM, Kathleen Moriarty wrote:
> Hello,
>
> Once the list has agreed upon a scope, it will need to be clearly 
> documented to set the tone for the gap analysis 
> in draft-zhang-gap-analysis.
>
> I see additional terms are listed in this draft.  There is some 
> overlap between drafts.  I suggest you keep terminology in the 
> framework draft and reference it from one place.
>
> In the Gap analysis, the first 2 WGs NSIS and SACM have clear 
> overlap.  Are there any work items that could be done in SACM since 
> that group is still open?  SACM is starting to do information model 
> work, could there be a fit for any of the endpoint policy?  Would this 
> be in YANG or something else?
>
> TRAM should be added to the list of WGs in the gap analysis.  PCP 
> folks have moved onto TRAM.  If the voice use case continues to be an 
> example, explaining in terms of these WGs will be necessary along with 
> MIDCOM.
>
> I see in ANIMA it says some aspects may be used.  Once the use cases 
> and scope are nailed down, I'd like to know what exactly may fit in 
> the other WGs in this gap analysis.
>
> Please add SUPA to the list in the gap analysis as well.
>
> For I2RS and Netconf, once you know the use cases and scope, please 
> elaborate more on what can be used and why I2NSF is still needed or if 
> the work can just be brought to those WGs.  In looking at the I2RS 
> section, why couldn't the data models be handled in SACM for instance?
>
>
> My suggestion is to wait until the WG agrees upon a set of use cases 
> and scope of work before editing this draft further.  Once that has 
> been agreed upon, please look through the full list of WGs, adding in 
> the ones mentioned (TRAM and SUPA) and re-evaluate the gap analysis 
> looking for opportunities to complete work items in existing WGs.  
> This may have the effect of further narrowing the scope or even 
> getting all of the intended work done split across several WGs.  If 
> it's the latter, it may be possible to finish this work sooner than 
> would be the case with a new WG.
>
> Thanks for your work to date on this draft!
>
>
> -- 
>
> Best regards,
> Kathleen